<div id="gift-card-popup">
    <div class="gift-up-target" data-site-id="57a325be-6ea6-4188-2170-08dbce59a52c" data-platform="Other" ></div>
</div>

<script type="text/javascript">

    const giftupContainer = document.getElementById('gift-card-popup');
    const loadGiftupBtn = document.getElementById("load-giftup");
    let siteOverlay = document.getElementById('site-overlay');

    if(loadGiftupBtn) {
        loadGiftupBtn.addEventListener("click", function() {

            if(giftupContainer) {
                giftupContainer.style.display = 'initial';
            }
            
            if(siteOverlay) {
                siteOverlay.style.display = 'block';
            }

            // Create a new script element
            var script = document.createElement("script");
            script.type = "text/javascript";
            script.src = "https://cdn.giftup.app/dist/gift-up.js";
            script.async = true;

            // Add the script to the document's head
            document.head.appendChild(script);

            // Define your "giftup" function here
            window.giftup = function() {
                (function (g, i, f, t, u, p, s) {
                    g[u] = g[u] || function() {
                        (g[u].q = g[u].q || []).push(arguments);
                    };
                    p = i.createElement(f);
                    p.async = 1;
                    p.src = t;
                    s = i.getElementsByTagName(f)[0];
                    s.parentNode.insertBefore(p, s);
                })
            };
        });
    }

    siteOverlay.addEventListener("click", function() {

        if(giftupContainer) {
            const iframe = giftupContainer.querySelector('iframe');
            if(iframe) {
                // Navigate to the iframe's parent and remove the iframe
                const iframeParent = iframe.parentNode;
                if (iframeParent) {
                    iframeParent.removeChild(iframe);
                }
            }
            giftupContainer.style.display = 'none';
        }
        
        if(siteOverlay) {
            siteOverlay.style.display = 'none';
        }

    });

</script>